PETSc version 3.15.5
Fix/Edit manual page

# DMGetField

Return the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetField(DM dm, PetscInt f, DMLabel *label, PetscObject *field)

Not collective

### Input Parameters

| dm | - The DM
| f | - The field number

### Output Parameters

| label | - The label indicating the support of the field, or NULL for the entire mesh
| field | - The discretization object

### See Also

DMAddField(), DMSetField()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/tutorials/ex56.c.html
src/snes/tutorials/ex62.c.html
src/snes/tutorials/ex77.c.html
src/ts/tutorials/ex46.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages